## ytdl-gui-dmo 2.5

=== debian/changelog ===
ytdl-gui-dmo (2.5-dmo1+deb11u1) oldstable; urgency=medium

  * Switch to yt-dlp instead of youtube-dl

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Jul 2023 07:58:42 +0200

ytdl-gui-dmo (2.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 May 2021 11:40:57 +0200
