=== debian/control ===
Source: ytdl-gui-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/JaGoLi/ytdl-gui
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt

Package: youtubedl-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos from a
 variety of sites. Allows control of format, resolution, audio and video
 codecs, etc.
