## ytdl-gui-dmo 3.0

=== debian/changelog ===
ytdl-gui-dmo (3.0-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 23:38:26 +0100

ytdl-gui-dmo (3.0-dmo2) unstable; urgency=medium

  * Switch to yt-dlp instead of youtube-dl

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jul 2023 19:16:46 +0200

ytdl-gui-dmo (3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Aug 2021 17:57:32 +0200
