=== debian/watch ===
version=4

https://github.com/JaGoLi/ytdl-gui/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
