## ytdl-gui-dmo 4.4.1

=== debian/changelog ===
ytdl-gui-dmo (4.4.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Switch to new upstream code at codeberg

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Feb 2026 08:14:45 +0100

ytdl-gui-dmo (3.0-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2024 12:21:33 +0100
