=== debian/control ===
Source: ytdl-gui-dmo
Section: video
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://codeberg.org/impromptux/ytdl-gui
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,

Package: youtubedl-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp,
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos from a
 variety of sites. Allows control of format, resolution, audio and video
 codecs, etc.
