## ytdl-gui-dmo 4.4.2

=== debian/changelog ===
ytdl-gui-dmo (4.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Feb 2026 17:07:14 +0100
