=== debian/watch ===
Version: 5

Source: https://codeberg.org/impromptux/ytdl-gui/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
